<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

// include the Zebra_Form class
require_once "application/libraries/zebra/Zebra_Form.php";


class Zebra {
	
	var $zebraForm;
	
    public function __construct()
    {
		log_message('debug', 'Initializing Zebra library');

		// get an instance of CodeIgniter
		$CI =& get_instance();
		
        // load the form helper class
        // This is your own class, but works just like the CI form helper except
        // instead of the functions to create a form, you created the form already.
        $CI->load->helper('zebra_form');    # application/helpers/zebra_form_helper.php
    }

    // Call by your controller to get which form to create
    // I do this because my website creates different types of forms (i.e., login, contact, etc)
    public function create_form($form_name)
    {
		log_message('info', 'Creating '.$form_name);
	
        
		// call a helper function to create the form
		return $this->zebraForm = $form_name();

        // above we dynamically called the function by $form_name
        // as you can tell naming is important so you have to make sure
        // you name the function 'funtion form_name' in your helper
        // and call this from your controller as '$this->zebra->create_form('form_name')'
        // I will go over this later too.
    }
}

/* End of file Zebra.php */