<!DOCTYPE html>
<html lang="en">
	<head>
		<base href="<?php echo base_url(); 	# this is a habit i've been getting into ?>"> 
		<title><?php echo $page_title; ?></title>
	</head>
	
	<body>
	
		<div class="content">
			
			<h2><?php echo $page_title; ?></h2>
			
			<p>
				Your feedback and concerns are of the utmost importance to us.
			</p>
			<p>
				An asterisk (<span style="color:red">*</span>) indicates a required entry.
			</p>
			<br />

<?php
			// if
			if($email_sent):

				// email was sent
?>
				<p style='font-weight:bold'>Thank you for your inquiry! We will get back to you as soon as possible.</p>
<?php
			else:
				
				// email was not sent

				// maybe there were errors
				
				// if
				if( isset($error) ):
				
					// there were errors present
				
					foreach($error as $e): 		# show the errors
					
						// Server Side error messages in this form look really good! 
						// If you haven't used Zebra_Form before you'll be impressed
						
						// You can add your own error like we did $error['something'] = 'Error message text user sees!';
						
						// 'error' has to be 'error', that's for Zebra
						$contact_form->add_error('error', $e);
						
					endforeach;
				
				endif;
?>
										
				<div id="zebra_form">
<?php
					// auto generate output, labels to the left of form elements
					
					$contact_form->render('*horizontal');	# this renders the form automatically!!
					
					// If you want to make your own template, you can! Follow the instructions for making your own template
					// at the Zebra Form website. If you have problems though, let me know and I will add instructions for templates.
?>			
				</div> <!-- /ZebraForm -->	
<?php
			endif;
?>
		</div> <!-- /Content -->
		
		<!-- load Zebra_Form's stylesheet file --> 
		<link rel="stylesheet" href="zebra/public/css/zebra_form.css" type="text/css"> 
		<!-- load jQuery --> 
		<script src="zebra/public/javascript/jquery.js" type="text/javascript"></script> 
		<!-- load Zebra_Form's JavaScript file --> 
		<script src="zebra/public/javascript/zebra_form.js" type="text/javascript"></script>
	    
	</body>
</html>